clc;
clear;
close all;

load Data_GDP;

y=Data;
n=numel(y);
dy=diff(y);

x=log(y);
dx=diff(x);

figure;

% y
subplot(2,2,1);
plot(y);
h=gca;
h.XLim=[0 n];
h.XTick=1:(5*4):n;
h.XTickLabel=datestr(dates(h.XTick),'yyyy');
grid on;
xlabel('t')
ylabel('y_t');

% dy
subplot(2,2,2);
plot(dy);
h=gca;
h.XLim=[0 n];
h.XTick=1:(5*4):n;
h.XTickLabel=datestr(dates(h.XTick),'yyyy');
grid on;
xlabel('t')
ylabel('\Delta y_t');

% x
subplot(2,2,3);
plot(x);
h=gca;
h.XLim=[0 n];
h.XTick=1:(5*4):n;
h.XTickLabel=datestr(dates(h.XTick),'yyyy');
grid on;
xlabel('t')
ylabel('log y_t');

% dy
subplot(2,2,4);
plot(dx);
h=gca;
h.XLim=[0 n];
h.XTick=1:(5*4):n;
h.XTickLabel=datestr(dates(h.XTick),'yyyy');
grid on;
xlabel('t')
ylabel('\Delta log y_t');
